Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface WTCRemoteTuxDomMBean

public interface WTCRemoteTuxDomMBean
extends ConfigurationMBean

This interface provides access to the WTC remote Tuxedo Domain configuration attributes. The methods defined herein are applicable for WTC configuration at the WLS domain level.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getAccessPoint()`
`java.lang.String` | `getAccessPointId()`
`java.lang.String` | `getAclPolicy()`
`int` | `getCmpLimit()`
`java.lang.String` | `getConnectionPolicy()`
`java.lang.String` | `getConnPrincipalName()`
`java.lang.String` | `getCredentialPolicy()`
`java.lang.String` | `getFederationName()`
`java.lang.String` | `getFederationURL()`
`java.lang.String` | `getLocalAccessPoint()`
`java.lang.String` | `getMaxEncryptBits()`
`long` | `getMaxRetries()`
`java.lang.String` | `getMinEncryptBits()`
`java.lang.String` | `getNWAddr()`
`long` | `getRetryInterval()`
`java.lang.String` | `getTpUsrFile()`
`void` | `setAccessPoint(java.lang.String AccessPoint)` Defines a name used to identify a domain in a WTCServer MBean.
`void` | `setAccessPointId(java.lang.String AccessPointId)` Defines the connection principal name used to identify a domain when establishing a connection to another domain.
`void` | `setAclPolicy(java.lang.String AclPolicy)` Defines the inbound access control list (ACL) policy toward requests from a remote domain.
`void` | `setCmpLimit(int CmpLimit)` Defines the compression threshold used when sending data to a remote domain.
`void` | `setConnectionPolicy(java.lang.String ConnectionPolicy)` Defines the conditions under which a local domain tries to establish a connection to a remote domain.
`void` | `setConnPrincipalName(java.lang.String ConnPrincipalName)` Defines the principal name used to verify the identity of this domain when establishing a connection to another domain.
`void` | `setCredentialPolicy(java.lang.String CredentialPolicy)` Defines the outbound access control list (ACL) policy toward requests to a remote domain.
`void` | `setFederationName(java.lang.String FederationName)` Defines the context at which to federate to a foreign name service.
`void` | `setFederationURL(java.lang.String FederationURL)` Defines the URL for a foreign name service that is federated into JNDI.
`void` | `setLocalAccessPoint(java.lang.String LocalAccessPoint)` Defines the local domain name from which a remote domain is reached.
`void` | `setMaxEncryptBits(java.lang.String MaxEncryptBits)` Defines the maximum encryption key length (in bits) used when establishing a network connection for a local domain.
`void` | `setMaxRetries(long MaxRetries)` Defines the number of times that a domain gateway tries to establish connections to remote domain access points.
`void` | `setMinEncryptBits(java.lang.String MinEncryptBits)` Defines the minimum encryption key length (in bits) used when establishing a network connection for a local domain.
`void` | `setNWAddr(java.lang.String ListenAddress)` Defines the network address of the local domain gateway.
`void` | `setRetryInterval(long RetryInterval)` Defines the number of seconds between automatic attempts to establish a connection to remote domain access points.
`void` | `setTpUsrFile(java.lang.String TpUsrFile)` Defines the full path to user password file containing uid/gid information.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setAccessPoint

    public void setAccessPoint(java.lang.String AccessPoint)
                        throws javax.management.InvalidAttributeValueException

  Defines a name used to identify a domain in a WTCServer MBean. This name must be unique within the scope of WTCLocalTuxDom and WTCRemoteTuxDom AccessPoint names in a WTCServer MBean.

  Legal NULL: false
  Parameters:
    `AccessPoint` - the name for the remote domain access point

### getAccessPoint

    public java.lang.String getAccessPoint()

### setAccessPointId

    public void setAccessPointId(java.lang.String AccessPointId)
                          throws javax.management.InvalidAttributeValueException

  Defines the connection principal name used to identify a domain when establishing a connection to another domain.

  The AccessPointId of a WTCRemoteTuxDom MBean must match the corresponding DOMAINID in the *DM_LOCAL_DOMAINS section of your Tuxedo DMCONFIG file.

  Legal NULL: false
  Parameters:
    `AccessPointId` - the local domain access point identifier

### getAccessPointId

    public java.lang.String getAccessPointId()

### setConnectionPolicy

    public void setConnectionPolicy(java.lang.String ConnectionPolicy)
                             throws javax.management.InvalidAttributeValueException

  Defines the conditions under which a local domain tries to establish a connection to a remote domain.

  - ON_DEMAND: A connection is attempted only when requested by either a client request to a remote service or an administrative connect command.
  - ON_STARTUP: A domain gateway attempts to establish a connection with its remote domain access points at gateway server initialization time. Remote services (services advertised in JNDI by the domain gateway for this local access point) are advertised only if a connection is successfully established to that remote domain access point. If there is no active connection to a remote domain access point, then the remote services are suspended. By default, this connection policy retries failed connections every 60 seconds. Use the MaxRetry and RetryInterval attributes to specify application specific values.
  - INCOMING_ONLY: A domain gateway does not attempt an initial connection to remote domain access points at startup and remote services are initially suspended. The domain gateway is available for incoming connections from remote domain access points and remote services are advertised when the domain gateway for this local domain access point receives an incoming connection. Connection retry processing is not allowed.
  - LOCAL: Specifies that the remote domain connection policy is explicitly defaulted to the local domain ConnectionPolicy attribute value.

  Default Value: "ON_DEMAND"
  Legal Values: "ON_DEMAND","ON_STARTUP","INCOMING_ONLY","LOCAL"
  Parameters:
    `ConnectionPolicy` - the connection policy for this remote domain

### getConnectionPolicy

    public java.lang.String getConnectionPolicy()

### setAclPolicy

    public void setAclPolicy(java.lang.String AclPolicy)
                      throws javax.management.InvalidAttributeValueException

  Defines the inbound access control list (ACL) policy toward requests from a remote domain.

  - If Interoperate is set to Yes, AclPolicy is ignored.
  - LOCAL: The local domain modifies the identity of service requests received from a given remote domain to the principal name specified in the local principal name for a given remote domain.
  - GLOBAL: The local domain passes the service request with no change in identity.

  Default Value: "LOCAL"
  Legal Values: "GLOBAL","LOCAL"
  Secure Value: "GLOBAL" or "LOCAL"
  Parameters:
    `AclPolicy` - the AclPolicy for this remote domain

### getAclPolicy

    public java.lang.String getAclPolicy()

### setCredentialPolicy

    public void setCredentialPolicy(java.lang.String CredentialPolicy)
                             throws javax.management.InvalidAttributeValueException

  Defines the outbound access control list (ACL) policy toward requests to a remote domain.

  - If Interoperate is set to Yes, CredentialPolicy is ignored.
  - LOCAL: The remote domain controls the identity of service requests received from the local domain to the principal name specified in the local principal name for this remote domain.
  - GLOBAL: The remote domain passes the service request with no change.

  Default Value: "LOCAL"
  Legal Values: "GLOBAL","LOCAL"
  Parameters:
    `CredentialPolicy` - the CredentialPolicy for this remote domain

### getCredentialPolicy

    public java.lang.String getCredentialPolicy()

### setTpUsrFile

    public void setTpUsrFile(java.lang.String TpUsrFile)
                      throws javax.management.InvalidAttributeValueException

  Defines the full path to user password file containing uid/gid information. This file is the same one generated by the Tuxedo `tpusradd` utility on the remote domain. Username, uid and gid information must be included and valid for correct authorization, authentication, and auditing.

  Parameters:
    `TpUsrFile` - the TpUsrFile for this remote domain

### getTpUsrFile

    public java.lang.String getTpUsrFile()

### setLocalAccessPoint

    public void setLocalAccessPoint(java.lang.String LocalAccessPoint)
                             throws javax.management.InvalidAttributeValueException

  Defines the local domain name from which a remote domain is reached.

  Legal NULL: false
  Parameters:
    `LocalAccessPoint` - the name for the local domain access point

### getLocalAccessPoint

    public java.lang.String getLocalAccessPoint()

### setConnPrincipalName

    public void setConnPrincipalName(java.lang.String ConnPrincipalName)
                              throws javax.management.InvalidAttributeValueException

  Defines the principal name used to verify the identity of this domain when establishing a connection to another domain.

  - This parameter only applies to domains of type TDOMAIN that are running BEA Tuxedo 7.1 or later software.
  - If not specified, the connection pricipal name defaults to the AccessPointID for this domain.

  Note: ConnectionPrincipalName is not supported in this release.

  Parameters:
    `ConnectionPrincipalName` - the local domain connection principal name

### getConnPrincipalName

    public java.lang.String getConnPrincipalName()

### setRetryInterval

    public void setRetryInterval(long RetryInterval)
                          throws javax.management.InvalidAttributeValueException

  Defines the number of seconds between automatic attempts to establish a connection to remote domain access points.

  - Use only when Connection Policy is set to ON_STARTUP.
  - Use -1 to default to the value defined by the WTCLocalTuxDomMBean RetryInterval attribute.

  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `RetryInterval` - the retry interval for this local domain

### getRetryInterval

    public long getRetryInterval()

### setMaxRetries

    public void setMaxRetries(long MaxRetries)
                       throws javax.management.InvalidAttributeValueException

  Defines the number of times that a domain gateway tries to establish connections to remote domain access points. Use only when Connection Policy is set to ON_STARTUP.

  - Use -1 to default to the value defined by the WTCLocalTuxDomMBean MaxRetries attribute.
  - Use 0 to disable the retry mechanism.
  - Use the maximum value to try until a connection is established.

  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `MaxRetries` - the number of times to attempt connection to local domains

### getMaxRetries

    public long getMaxRetries()

### setNWAddr

    public void setNWAddr(java.lang.String ListenAddress)
                   throws javax.management.InvalidAttributeValueException

  Defines the network address of the local domain gateway. Specify the TCP/IP address in one of the following formats:

  - `//hostname:port_number`
  - `//#.#.#.#:port_number`

  If the hostname is used, the domain finds an address for hostname using the local name resolution facilities (usually DNS). If dotted decimal format is used, each # should be a number from 0 to 255. This dotted decimal number represents the IP address of the local machine. The port_number is the TCP port number at which the domain process listens for incoming requests.

  Legal NULL: false
  Parameters:
    `NWAddr` - The network address of this remote domain

### getNWAddr

    public java.lang.String getNWAddr()

### setFederationURL

    public void setFederationURL(java.lang.String FederationURL)
                          throws javax.management.InvalidAttributeValueException

  Defines the URL for a foreign name service that is federated into JNDI. If omitted:

  - WebLogic Tuxedo Connector assumes there is a CosNaming server in the foreign domain.
  - WebLogic Tuxedo Connector federates to the CosNaming server using TGIOP.

  WebLogic Tuxedo Connector can to federate to non-CORBA service providers.

  Parameters:
    `FederationURL` - url for a foreign name service federated into JNDI

### getFederationURL

    public java.lang.String getFederationURL()

### setFederationName

    public void setFederationName(java.lang.String FederationName)
                           throws javax.management.InvalidAttributeValueException

  Defines the context at which to federate to a foreign name service. If omitted then the federation point is `tuxedo.domains`.

  Parameters:
    `FederationName` - context at which to federate to foreign name service

### getFederationName

    public java.lang.String getFederationName()

### setCmpLimit

    public void setCmpLimit(int CmpLimit)
                     throws javax.management.InvalidAttributeValueException

  Defines the compression threshold used when sending data to a remote domain. Application buffers larger than this size are compressed.

  Default Value: java.lang.Integer.MAX_VALUE
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `CmpLimit` - The compression threshold for this remote domain

### getCmpLimit

    public int getCmpLimit()

### setMinEncryptBits

    public void setMinEncryptBits(java.lang.String MinEncryptBits)
                           throws javax.management.InvalidAttributeValueException

  Defines the minimum encryption key length (in bits) used when establishing a network connection for a local domain.

  - A value of 0 indicates no encryption is used.
  - The value of the MinEncrypBits attribute must be less than or equal to the value of the MaxEncrypBits attribute.
  - A MinEncrypBits of 40 can be used only with domains running Tuxedo 7.1 or higher.

  Default Value: "0"
  Legal Values: "0","40","56","128"
  Secure Value: "40"
  Parameters:
    `MinEncryptBits` - The minimum encryption level desired for this remote domain

### getMinEncryptBits

    public java.lang.String getMinEncryptBits()

### setMaxEncryptBits

    public void setMaxEncryptBits(java.lang.String MaxEncryptBits)
                           throws javax.management.InvalidAttributeValueException

  Defines the maximum encryption key length (in bits) used when establishing a network connection for a local domain.

  - A value of 0 indicates no encryption is used.
  - The value of the MaxEncryptBits attribute must be greater than or equal to the value of the MinEncrypBits attribute.
  - A MaxEncryptBits of 40 can be used only with domains running Tuxedo 7.1 or higher.

  Default Value: "128"
  Legal Values: "0","40","56","128"
  Parameters:
    `MaxEncryptBits` - The encryption level desired for this remote domain

### getMaxEncryptBits

    public java.lang.String getMaxEncryptBits()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference